Skip to main content
GET
/
api
/
v2
/
query
/
{query}
Pro lookup
curl --request GET \
  --url https://leakcheck.io/api/v2/query/{query} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://leakcheck.io/api/v2/query/{query}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://leakcheck.io/api/v2/query/{query}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "found": 1,
  "quota": 400,
  "result": [
    {
      "email": "example@example.com",
      "source": {
        "name": "BreachedWebsite.net",
        "breach_date": "2019-07",
        "unverified": 0,
        "passwordless": 0,
        "compilation": 0
      },
      "first_name": "Example",
      "last_name": "Example",
      "username": "leakcheck",
      "fields": [
        "first_name",
        "last_name",
        "username"
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key in the X-API-Key header (recommended). Keys are at least 40 characters long.

Path Parameters

query
string
required

Value to search for — an email address, username, phone number, hash, domain, etc. Minimum 3 characters.

Minimum string length: 3

Query Parameters

type
enum<string>

Search type. Omit to auto-detect (works for email, username, phone and hash). domain, keyword, origin, password and phash must be set explicitly; origin, password and phash are Enterprise-only.

Available options:
auto,
email,
domain,
keyword,
username,
phone,
hash,
phash,
origin,
password
limit
integer
default:100

Maximum number of rows to return.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of rows to skip, for pagination.

Required range: 0 <= x <= 2500

Response

Search completed. found is 0 with an empty result when nothing matched.

success
boolean
required
found
integer
required

Number of rows found and returned.

result
object[]
required
quota
integer

Number of queries remaining on the account.